Subject: Re: repo.eclipse.org outage breaking all our linux CI jobs

From: shejialuo <[email-masked]>
Date: Fri, 25 Apr 2025 22:57:54 +0800

On Thu, Apr 24, 2025 at 03:13:58PM -0700, Junio C Hamano wrote:
> As https://www.eclipsestatus.io/ reports there is no ETA for
> recovery, and due to the failure of downloading JGit material in an
> early stage of our CI jobs, our linux CI jobs are all failing, I am
> very tempted to apply the following to 'maint' immediately and
> propagate it all the way up to 'master', 'next', and 'seen'.
> 
> I would very very much appreciate additional thoughts and advices by
> anybody more involved in JGit community and more clueful than I am
> on the situation.
> 
> Anyway, what is somewhat funny is that at the end of this script,
> there is an attempt to notice and report the lack of jgit (as well
> as p4 and lfs) but still continuing:
> 
> 	...
>         if type jgit >/dev/null 2>&1
>         then
>                 echo "$(tput setaf 6)JGit Version$(tput sgr0)"
>                 jgit version
>         else
>                 echo >&2 "WARNING: JGit wasn't installed, see above for clues why"
>         fi
> 
>         end_group "Install dependencies"
> 
> but because ci/lib.sh does "set -e", we fail way before we hit this
> code.  I am tempted to suggest we remove that "set -e" as a long
> term maintainability improvement measure, but that is a separate
> topic.
> 

I want to know whether we should use the "cache" mechanism of CI for
these third-party softwares? I somehow feel strange that we would
download these softwares in every CI.

And if we have the caches, we could somehow avoid problems by hitting
the cache when third-party services were down. However, I do not dive
into the CI before, so there may be something wrong about my statement.

Thanks,
Jialuo